# $Revision: 1.12 $, $Date: 2006/05/21 15:49:04 $
Summary:	Client for Dynamic DNS Services
Summary(pl):	Klient dla serwisw dynamicznego DNS
Name:		ez-ipupdate
Version:	3.0.11b8
Release:	5
License:	GPL
Group:		Networking
Source0:	http://ez-ipupdate.com/dist/%{name}-%{version}.tar.gz
# Source0-md5:	000211add4c4845ffa4211841bff4fb0
Source1:	%{name}.init
Source2:	%{name}.config
Patch0:		%{name}-CAN-2004-0980.patch
URL:		http://ez-ipupdate.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ez-ipupdate is a small utility for updating your host name for any of
the dynamic DNS service offered at:
 - http://www.ez-ip.net/
 - http://www.justlinux.com/
 - http://www.dhs.org/
 - http://www.dyndns.org/
 - http://www.ods.org/
 - http://gnudip.cheapnet.net/ (GNUDip)
 - http://www.dyn.ca/ (GNUDip)
 - http://www.tzo.com/
 - http://www.easydns.com/
 - http://www.dyns.cx/
 - http://www.hn.org/
 - http://www.zoneedit.com/

It is pure C and works on Linux, *BSD and Solaris.

Don't forget to create your own config file (in
/etc/ez-ipupdate.conf). You can find some examples in
%{_docdir}/%{name}-%{version}.

%description -l pl
ez-ipupdate to mae narzdzie do uaktualniania nazwy hosta w dowolnym
serwisie dynamicznego DNS spord:
 - http://www.ez-ip.net/
 - http://www.justlinux.com/
 - http://www.dhs.org/
 - http://www.dyndns.org/
 - http://www.ods.org/
 - http://gnudip.cheapnet.net/ (GNUDip)
 - http://www.dyn.ca/ (GNUDip)
 - http://www.tzo.com/
 - http://www.easydns.com/
 - http://www.dyns.cx/
 - http://www.hn.org/
 - http://www.zoneedit.com/

Jest napisane w czystym C i dziaa na Linuksie, *BSD oraz Solarisie.

Nie naley zapomnie o utworzeniu wasnego pliku konfiguracyjnego
(/etc/ez-ipupdate.conf). Przykad mona znale w katalogu
%{_docdir}/%{name}-%{version}.

%prep
%setup -q
%patch0 -p0

%build
install %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%{__perl} -pi -e "s|/usr/local/bin|%{_bindir}|" *.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README CHANGELOG *.conf
%attr(755,root,root) %{_bindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ez-ipupdate.spec,v $
Revision 1.12  2006/05/21 15:49:04  glen
- rel 5

Revision 1.11  2006/02/27 23:21:21  glen
- use %service

Revision 1.10  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.9  2004/11/22 11:15:54  radek
- release 4 (SECURITY): added -CAN-2004-0980.patch (format string vulnerability)

Revision 1.8  2004/08/25 21:55:20  domelu
- rel. 3 to rebuild

Revision 1.7  2004/07/08 11:08:35  radek
- updated URL (wtf, this version doesn't exist...)

Revision 1.6  2004/07/07 19:40:28  radek
- release 2: tweaked init script (stop with SIGQUIT, added /etc/sysconfig/ez-ipupdate)

Revision 1.5  2003/08/22 15:33:15  ankry
- spaces -> tabs

Revision 1.4  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.3  2003/08/02 17:29:02  qboosh
- pl, deps for rc-scripts and chkconfig

Revision 1.2  2003/07/09 08:21:08  arekm
- fix init script

Revision 1.1  2003/07/09 08:13:40  arekm
- initial pld release
